POST api/v2/TaskItems/UpdateTaskItem
Request Information
URI Parameters
None.
Body Parameters
TaskItemsContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TaskId | string |
None. |
|
| FieldId | integer |
None. |
|
| SequenceNumber | integer |
None. |
|
| IsMandatory | boolean |
None. |
|
| ValueString | string |
None. |
|
| ValueDateTime | date |
None. |
|
| ValueBool | boolean |
None. |
|
| ValueInt | integer |
None. |
|
| ValueDecimal | decimal number |
None. |
|
| ValueList | Collection of Object |
None. |
|
| ValueObject | Object |
None. |
|
| fieldType | FieldType |
None. |
|
| LastUpdate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"TaskId": "sample string 1",
"FieldId": 2,
"SequenceNumber": 3,
"IsMandatory": true,
"ValueString": "sample string 5",
"ValueDateTime": "2026-09-22 12:31:29",
"ValueBool": true,
"ValueInt": 1,
"ValueDecimal": 1.0,
"ValueList": [
{},
{}
],
"ValueObject": {},
"fieldType": 1,
"LastUpdate": "2026-09-22 12:31:29"
}
application/xml, text/xml
Sample:
<TaskItemsContract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.agrifoodatsolutions.com/FPService/v2/contracts/2017/01">
<FieldId>2</FieldId>
<IsMandatory>true</IsMandatory>
<LastUpdate>2026-09-22T12:31:29.8438878+00:00</LastUpdate>
<SequenceNumber>3</SequenceNumber>
<TaskId>sample string 1</TaskId>
<ValueBool>true</ValueBool>
<ValueDateTime>2026-09-22T12:31:29.8279513+00:00</ValueDateTime>
<ValueDecimal>1</ValueDecimal>
<ValueInt>1</ValueInt>
<ValueList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:anyType />
<d2p1:anyType />
</ValueList>
<ValueObject />
<ValueString>sample string 5</ValueString>
<fieldType>Integer</fieldType>
</TaskItemsContract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
booleanResponse Formats
application/json, text/json
Sample:
true
application/xml, text/xml
Sample:
<boolean xmlns="http://schemas.microsoft.com/2003/10/Serialization/">true</boolean>